import dynamix_sdk.base as _base


class CloudapiBserviceGroupParentRemoveResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceGroupParentRemoveProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def group_parent_remove(
        self,
        *,
        bservice_id: int,
        child_id: int,
        parent_id: int,
    ) -> CloudapiBserviceGroupParentRemoveResultBool:
        ...
